%global _with_kde4 0
%global _with_qt4 0
%if 0%{?fedora} <= 22
%global _with_kde4 1
%endif

%define _git_describe v0.8-231-gfdf91aa

Name:           kde-connect
Version:        0.8
Release:        3%{?dist}
License:        GPLv2+
Summary:        KDE Connect client for communication with smartphones

Url:            https://projects.kde.org/projects/playground/base/kdeconnect-kde
Source0:        http://download.kde.org/unstable/kdeconnect/%{version}/src/kdeconnect-kde-%{_git_describe}.tar.xz
Source1:        http://download.kde.org/unstable/kdeconnect/%{version}/src/kdeconnect-kde-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qca-qt5-devel
BuildRequires:  kf5-ki18n-devel
Buildrequires:  kf5-kio-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  libXtst-devel
BuildRequires:  libfakekey-devel
BuildRequires:  desktop-file-utils

%if %{_with_kde4}
BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(qca2)
%endif

Requires:       kf5-filesystem

%description
KDE Connect adds communication between KDE and your smartphone.

Currently, you can pair with your Android devices over Wifi using the
KDE Connect app from Albert Vaka which you can obtain via Google Play, F-Droid
or the project website.

%package libs
Summary: Runtime libraries for %{name}
# when -libs was introduced, upgrade path for multilib'd kde-connect
Obsoletes: kde-connect < 0.7
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package kde4-libs
Summary: Runtime libraries for %{name} KDE4 kioslave
# when -libs was introduced, upgrade path for multilib'd kde-connect
Requires: %{name} = %{version}-%{release}
%description kde4-libs
%{summary}.

%package kde4-ioslave
Summary: %{name} KDE4 kioslave
Requires: %{name} = %{version}-%{release}
%description kde4-ioslave
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%if %{_with_kde4}
mkdir -p  %{_builddir}/kde4
cd %{_builddir}/kde4
tar xfJ %{SOURCE1}
cd kdeconnect-kde-%{version}
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%endif

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%if %{_with_kde4}
make install/fast DESTDIR=%{buildroot} -C %{_builddir}/kde4/kdeconnect-kde-%{version}/%{_target_platform}/kio
make install/fast DESTDIR=%{buildroot} -C %{_builddir}/kde4/kdeconnect-kde-%{version}/%{_target_platform}/interfaces

# Remove undesired kde4 devel files
rm -rf %{buildroot}%{_includedir}/kde4
rm -rf %{buildroot}%{_libdir}/cmake
rm -rf %{buildroot}%{_kde4_libdir}/libkdeconnectinterfaces.so
%endif

%check
desktop-file-edit --remove-not-show-in=Plasma --add-not-show-in=X-Plasma %{buildroot}/%{_datadir}/applications/kdeconnect-non-plasma.desktop 
desktop-file-edit --remove-not-show-in=Plasma --add-not-show-in=X-Plasma %{buildroot}/%{_datadir}/applications/kdeconnect.desktop 

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
	gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%if %{_with_kde4}
%post kde4-libs
/sbin/ldconfig

%postun kde4-libs
/sbin/ldconfig
%endif

%files
%doc COPYING README
%{_libexecdir}/kdeconnectd
%{_kf5_bindir}/kdeconnect-cli
%{_kf5_datadir}/plasma/*
%{_kf5_datadir}/knotifications5/*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservices5/*.protocol
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/*.desktop
%{_qt5_prefix}/qml/org/kde/kdeconnect/*
%{_qt5_prefix}/plugins/*
%{_sysconfdir}/xdg/autostart/kdeconnectd.desktop

%files libs
%{_kf5_libdir}/libkdeconnectpluginkcm.so.0*
%{_kf5_libdir}/libkdeconnectinterfaces.so.0*
%{_kf5_libdir}/libkdeconnectcore.so.0*

%if %{_with_kde4}
%files kde4-libs
%{_kde4_libdir}/libkdeconnectinterfaces.so.1*

%files kde4-ioslave
%{_kde4_datadir}/kde4/services/kdeconnect.protocol
%{_kde4_libdir}/kde4/kio_kdeconnect.so
%endif



%changelog
* Fri May 01 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.3
- Added some missing buildrequires for rawhide

* Mon Apr 20 2015 Helio Chissini de Castro <helio@kde.org> - 0.8-2
- KDE Connect KF5 snapshot based on 0.8and kioslave for KDE 4

* Sun Feb 22 2015 Rex Dieter <rdieter@fedoraproject.org> 0.8-1
- KDE Connect 0.8 available (#1195011)
- use %%{?_kde_runtime_requires} (instead of %%_kf5_version macro)

* Thu Oct 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.7.3-1
- kde-connect-0.7.3
- BR: libfakekey-devel (and switch other BR's to pkgconfig style)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 06 2014 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- kde-connect-0.7.2 (#1116448)

* Sun Jun 29 2014 Rex Dieter <rdieter@fedoraproject.org> 0.7.1-1
- 0.7.1

* Sat Jun 28 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.7-1
- kde-connect-0.7 (#1114196)
- Requires: fuse-sshfs (#1114197)
- Requires: qca-ossl
- -libs, -devel subpkgs

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.3.20140305git52901898
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Martin Briza <mbriza@redhat.com> - 0.6-0.2.20140305git52901898
- Include the translations too

* Wed Mar 05 2014 Martin Briza <mbriza@redhat.com> - 0.6-0.1.20140305git52901898
- Updated to the latest upstream git to match the mobile app release

* Mon Feb 24 2014 Martin Briza <mbriza@redhat.com> - 0.5-1
- New release

* Thu Jan 02 2014 Martin Briza <mbriza@redhat.com> - 0.4.2-1
- Initial package
